Bug 241146 - databases/mariadb101-server: fix build on powerpc*
Summary: databases/mariadb101-server: fix build on powerpc*
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-09 09:15 UTC by Piotr Kubaj
Modified: 2019-10-27 19:30 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (brnrd)


Attachments
patch (1.50 KB, patch)
2019-10-09 09:15 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (brnrd)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-09 09:15:12 UTC
Created attachment 208194 [details]
patch

Follow what mariadb102 and newer do and don't include glibc-related headers. Fixes build on powerpc*.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-10-11 04:18:02 UTC
Approved as mentor (builds on ppcports) pending maintainer review.
Comment 2 commit-hook freebsd_committer 2019-10-27 19:30:19 UTC
A commit references this bug:

Author: pkubaj
Date: Sun Oct 27 19:29:50 UTC 2019
New revision: 515820
URL: https://svnweb.freebsd.org/changeset/ports/515820

Log:
  databases/mariadb101-server: fix build on powerpc*

  Follow what mariadb102 and newer do and don't include glibc-related headers. Fixes build on powerpc*.

  PR:		241146
  Approved by:	brnrd (maintainer timeout), linimon (mentor)

Changes:
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb101-server/files/patch-storage_xtradb_include_ut0ut.h